/asana-tasks | Type: Application | PCID required: Yes
Tools
asana_tasks_add_dependencies_for_task
Set dependencies for a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
asana_tasks_add_dependents_for_task
Set dependents for a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | A set of dependent tasks. |
asana_tasks_add_followers_for_task
Add followers to a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_add_project_for_task
Add a project to a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
asana_tasks_add_tag_for_task
Add a tag to a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
asana_tasks_create_subtask_for_task
Create a subtask Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_create_task
Create a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_delete_task
Delete a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
asana_tasks_delete_task_template
Delete a task template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_template_gid | string | Yes | — | Globally unique identifier for the task template. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
asana_tasks_duplicate_task
Duplicate a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_get_dependencies_for_task
Get dependencies from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_dependents_for_task
Get dependents from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_for_project
Get tasks from a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
completed_since | string | No | — | Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword now. |
project_gid | string | Yes | — | Globally unique identifier for the project. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_for_section
Get tasks from a section Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
section_gid | string | Yes | — | The globally unique identifier for the section. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
completed_since | string | No | — | Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword now. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_for_tag
Get tasks from a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag_gid | string | Yes | — | Globally unique identifier for the tag. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_for_user_task_list
Get tasks from a user task list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
completed_since | string | No | — | Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword now. |
user_task_list_gid | string | Yes | — | Globally unique identifier for the user task list. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_subtasks_for_task
Get subtasks from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_task
Get a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_task_for_custom_id
Get a task for a given custom ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
custom_id | string | Yes | — | Generated custom ID for a task. |
asana_tasks_get_task_template
Get a task template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_template_gid | string | Yes | — | Globally unique identifier for the task template. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_task_templates
Get multiple task templates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
project | string | No | — | The project to filter task templates on. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_get_tasks
Get multiple tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
assignee | string | No | — | The assignee to filter tasks on. If searching for unassigned tasks, assignee.any = null can be specified. Note: If you specify assignee, you must also specify the workspace to filter on. |
project | string | No | — | The project to filter tasks on. |
section | string | No | — | The section to filter tasks on. |
workspace | string | No | — | The workspace to filter tasks on. Note: If you specify workspace, you must also specify the assignee to filter on. |
completed_since | string | No | — | Only return tasks that are either incomplete or that have been completed since this time. |
modified_since | string | No | — | Only return tasks that have been modified since the given time. Note: A task is considered “modified” if any of its properties change, or associations between it and other objects are modified (e.g. a task being added to a project). A task is not considered modified just because another object it is associated with (e.g. a subtask) is modified. Actions that count as modifying the task include assigning, renaming, completing, and adding stories. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_instantiate_task
Instantiate a task from a task template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_template_gid | string | Yes | — | Globally unique identifier for the task template. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_remove_dependencies_for_task
Unlink dependencies from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
asana_tasks_remove_dependents_for_task
Unlink dependents from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | A set of dependent tasks. |
asana_tasks_remove_follower_for_task
Remove followers from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_remove_project_for_task
Remove a project from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
asana_tasks_remove_tag_for_task
Remove a tag from a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
data | object | No | — | The data value |
asana_tasks_search_tasks_for_workspace
Search tasks in a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
text | string | No | — | Performs full-text search on both task name and description |
resource_subtype | string | No | — | Filters results by the task’s resource_subtype |
assignee.any | string | No | — | Comma-separated list of user identifiers |
assignee.not | string | No | — | Comma-separated list of user identifiers |
portfolios.any | string | No | — | Comma-separated list of portfolio IDs |
projects.any | string | No | — | Comma-separated list of project IDs |
projects.not | string | No | — | Comma-separated list of project IDs |
projects.all | string | No | — | Comma-separated list of project IDs |
sections.any | string | No | — | Comma-separated list of section or column IDs |
sections.not | string | No | — | Comma-separated list of section or column IDs |
sections.all | string | No | — | Comma-separated list of section or column IDs |
tags.any | string | No | — | Comma-separated list of tag IDs |
tags.not | string | No | — | Comma-separated list of tag IDs |
tags.all | string | No | — | Comma-separated list of tag IDs |
teams.any | string | No | — | Comma-separated list of team IDs |
followers.any | string | No | — | Comma-separated list of user identifiers |
followers.not | string | No | — | Comma-separated list of user identifiers |
created_by.any | string | No | — | Comma-separated list of user identifiers |
created_by.not | string | No | — | Comma-separated list of user identifiers |
assigned_by.any | string | No | — | Comma-separated list of user identifiers |
assigned_by.not | string | No | — | Comma-separated list of user identifiers |
liked_by.not | string | No | — | Comma-separated list of user identifiers |
commented_on_by.not | string | No | — | Comma-separated list of user identifiers |
due_on.before | string | No | — | ISO 8601 date string |
due_on.after | string | No | — | ISO 8601 date string |
due_on | string | No | — | ISO 8601 date string or null |
due_at.before | string | No | — | ISO 8601 datetime string |
due_at.after | string | No | — | ISO 8601 datetime string |
start_on.before | string | No | — | ISO 8601 date string |
start_on.after | string | No | — | ISO 8601 date string |
start_on | string | No | — | ISO 8601 date string or null |
created_on.before | string | No | — | ISO 8601 date string |
created_on.after | string | No | — | ISO 8601 date string |
created_on | string | No | — | ISO 8601 date string or null |
created_at.before | string | No | — | ISO 8601 datetime string |
created_at.after | string | No | — | ISO 8601 datetime string |
completed_on.before | string | No | — | ISO 8601 date string |
completed_on.after | string | No | — | ISO 8601 date string |
completed_on | string | No | — | ISO 8601 date string or null |
completed_at.before | string | No | — | ISO 8601 datetime string |
completed_at.after | string | No | — | ISO 8601 datetime string |
modified_on.before | string | No | — | ISO 8601 date string |
modified_on.after | string | No | — | ISO 8601 date string |
modified_on | string | No | — | ISO 8601 date string or null |
modified_at.before | string | No | — | ISO 8601 datetime string |
modified_at.after | string | No | — | ISO 8601 datetime string |
is_blocking | boolean | No | — | Filter to incomplete tasks with dependents |
is_blocked | boolean | No | — | Filter to tasks with incomplete dependencies |
has_attachment | boolean | No | — | Filter to tasks with attachments |
completed | boolean | No | — | Filter to completed tasks |
is_subtask | boolean | No | — | Filter to subtasks |
sort_by | string | No | — | One of due_date, created_at, completed_at, likes, or modified_at, defaults to modified_at |
sort_ascending | boolean | No | — | Default false |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
asana_tasks_set_parent_for_task
Set the parent of a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
asana_tasks_update_task
Update a task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
task_gid | string | Yes | — | The task to operate on. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |

